Subject: luabind (On Windows Breaks Compiling)

Description

changeset 102 e69ec247b8a7

Using this external: 593/external_stlport_lua51.7z

Compiling the Client or Server | get the following issue this example is from the client but the server is exactly the same:
18>lua_ihm.cpp

18>D:\SOURCECODE\external\include\luabind/detail/ref.hpp(87) : error C2065:
'you_must_not_use_assert___use_nl_assert__read_debug_h_file' : undeclared identifier
18>D:\SOURCECODE\external\include\luabind/detail/ref.hpp(88) : error C2065:
'you_must_not_use_assert___use_nl_assert___read_debug_h_file' : undeclared identifier
18>D:\SOURCECODE\external\include\luabind/detail/ref.npp(100) : error C2065:
'yvou_must_not_use_assert___use_nl_assert___read_debug_h_file' : undeclared identifier
18>D:\SOURCECODE\external\include\luabind/detail/inheritance.hpp(86) : error C2065:
'vou_must_not_use_assert___use_nl_assert__read_debug_h_file' : undeclared identifier
18>D:\SOURCECODE\external\include\luabind/detail/inheritance.hpp(93) : error C2065:
'yvou_must_not_use_assert__use_nl_assert__ read_debug_h_file' : undeclared identifier
18>D:\SOURCECODE\externalinclude\luabind/detail/inheritance.hpp(102) : error C2065:
'you_must_not_use_assert__use_nl_assert__ read_debug_h_file' : undeclared identifier
18>lua_helper.cpp

18>D:\SOURCECODE\external\include\luabind/detail/ref.hpp(87) : error C2065:
'you_must_not_use_assert___use_nl_assert__read_debug_h_file' : undeclared identifier
18>D:\SOURCECODE\external\include\luabind/detail/ref.hpp(88) : error C2065:
'you_must_not_use_assert___use_nl_assert__read_debug_h_file' : undeclared identifier
18>D:\SOURCECODE\external\include\luabind/detail/ref.npp(100) : error C2065:
'you_must_not_use_assert___use_nl_assert__read_debug_h_file' : undeclared identifier
18>D:\SOURCECODE\external\include\luabind/detail/inheritance.hpp(86) : error C2065:
'you_must_not_use_assert___use_nl_assert___read_debug_h_file' : undeclared identifier
18>D:\SOURCECODE\external\include\luabind/detail/inheritance.hpp(93) : error C2065:
'vou_must_not_use_assert____use_nl_assert__read_debug_h_file' : undeclared identifier
18>D:\SOURCECODE\external\include\luabind/detail/inheritance.hpp(102) : error C2065:
'yvou_must_not_use_assert___use_nl_assert___read_debug_h_file' : undeclared identifier
18>list_sheet_base.cpp

History

#1 - 05/12/2010 06:19 am - Kane

RC offered a fix not sure if its a hack or fix since | don't know much yet but here you go:

For the C2065 error you can simply change "assert" to "nlassert" (not the included cassert) in the following files

inheritance.hpp
ref.hpp
policy.hpp

in your "C:\NEL\include\luabind\detail\" folder.

Afterward you just hit build solution in your VS2008 and it should work.

http://dev.ryzom.com/boards/17/topics/1555#message-1558

#2 - 05/12/2010 09:13 am - kervala

Or define NL_MAP_ASSERT in your project :p
#3 - 05/12/2010 11:12 am - kervala

- Status changed from New to Assigned

- Assignee set to kervala

#4 - 05/12/2010 11:14 am - kervala

- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset r104.

#5 - 05/12/2010 11:14 am - kervala

- Target version set to Version 0.8.0

#6 - 05/28/2010 05:23 pm - vI
- Status changed from Resolved to Closed
